Red Hat Customer Portal

Skip to main content

CVE-2011-3324

The ospf6_lsa_is_changed function in ospf6_lsa.c in the OSPFv3 implementation in ospf6d in Quagga before 0.99.19 allows remote attackers to cause a denial of service (assertion failure and daemon exit) via trailing zero values in the Link State Advertisement (LSA) header list of an IPv6 Database Description message.

Details Source

Mitre

Public Date

2011-09-26 00:00:00

Impact

Low

Bugzilla

CVE-2011-3324 Quagga (ospf6d): Denial of service by decoding malformed Database Description packet headers

Bugzilla ID

738 394

CVSS Status

verified

Base Score

2.90

Base Metrics

AV:A/AC:M/Au:N/C:N/I:N/A:P

Acknowledgements

Red Hat would like to thank CERT-FI for reporting this issue. CERT-FI acknowledges Riku Hietamäki, Tuomo Untinen and Jukka Taimisto of the Codenomicon CROSS project as the original reporters.

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 6 (quagga) RHSA-2012:1259 2012-09-12
Red Hat Enterprise Linux 5 (quagga) RHSA-2012:1258 2012-09-12

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 4 quagga Affected